Object.defineProperty(exports, '__esModule', { value: true });

const util = require('util');
const core = require('@sentry/core');
const utils = require('@sentry/utils');

/** Console module integration */
class Console  {constructor() { Console.prototype.__init.call(this); }
  /**
   * @inheritDoc
   */
   static __initStatic() {this.id = 'Console';}

  /**
   * @inheritDoc
   */
   __init() {this.name = Console.id;}

  /**
   * @inheritDoc
   */
   setupOnce() {
    // noop
  }

  /** @inheritdoc */
   setup(client) {
    utils.addConsoleInstrumentationHandler(({ args, level }) => {
      if (core.getClient() !== client) {
        return;
      }

      core.addBreadcrumb(
        {
          category: 'console',
          level: utils.severityLevelFromString(level),
          message: util.format.apply(undefined, args),
        },
        {
          input: [...args],
          level,
        },
      );
    });
  }
} Console.__initStatic();

exports.Console = Console;
//# sourceMappingURL=console.js.map
